gnu.trove

## Class TObjectFloatHashMap<K>

- java.lang.Object
- - gnu.trove.THash
  - - gnu.trove.TObjectHash<K>
    - - gnu.trove.TObjectFloatHashMap<K>

All Implemented Interfaces:
  TObjectHashingStrategy<K>, java.io.Externalizable, java.io.Serializable, java.lang.Cloneable

    public class TObjectFloatHashMap<K>
    extends TObjectHash<K>
    implements java.io.Externalizable

An open addressed Map implementation for Object keys and float values. Created: Sun Nov 4 08:52:45 2001

Author:
  Eric D. Friedman
See Also:
  Serialized Form

### Field Summary

Fields
`protected float[]` `_values` the values of the map

### Fields inherited from class gnu.trove.TObjectHash

`_hashingStrategy, _set, FREE, REMOVED`

### Fields inherited from class gnu.trove.THash

`_autoCompactionFactor, _autoCompactRemovesRemaining, _free, _loadFactor, _maxSize, _size, DEFAULT_INITIAL_CAPACITY, DEFAULT_LOAD_FACTOR`

### Constructor Summary

Constructors
Constructor and Description
`TObjectFloatHashMap()` Creates a new `TObjectFloatHashMap` instance with the default capacity and load factor.
`TObjectFloatHashMap(int initialCapacity)` Creates a new `TObjectFloatHashMap` instance with a prime capacity equal to or greater than `initialCapacity` and with the default load factor.
`TObjectFloatHashMap(int initialCapacity, float loadFactor)` Creates a new `TObjectFloatHashMap` instance with a prime capacity equal to or greater than `initialCapacity` and with the specified load factor.
`TObjectFloatHashMap(int initialCapacity, float loadFactor, TObjectHashingStrategy<K> strategy)` Creates a new `TObjectFloatHashMap` instance with a prime value at or near the specified capacity and load factor.
`TObjectFloatHashMap(int initialCapacity, TObjectHashingStrategy<K> strategy)` Creates a new `TObjectFloatHashMap` instance whose capacity is the next highest prime above `initialCapacity + 1` unless that value is already prime.
`TObjectFloatHashMap(TObjectHashingStrategy<K> strategy)` Creates a new `TObjectFloatHashMap` instance with the default capacity and load factor.

### Method Summary

Methods
`float` `adjustOrPutValue(K key, float adjust_amount, float put_amount)` Adjusts the primitive value mapped to the key if the key is present in the map.
`boolean` `adjustValue(K key, float amount)` Adjusts the primitive value mapped to key.
`void` `clear()` Empties the map.
`TObjectFloatHashMap<K>` `clone()`
`boolean` `containsKey(K key)` checks for the present of `key` in the keys of the map.
`boolean` `containsValue(float val)` checks for the presence of `val` in the values of the map.
`boolean` `equals(java.lang.Object other)` Compares this map with another map for equality of their stored entries.
`boolean` `forEachEntry(TObjectFloatProcedure<K> procedure)` Executes `procedure` for each key/value entry in the map.
`boolean` `forEachKey(TObjectProcedure<K> procedure)` Executes `procedure` for each key in the map.
`boolean` `forEachValue(TFloatProcedure procedure)` Executes `procedure` for each value in the map.
`float` `get(K key)` retrieves the value for `key`
`float[]` `getValues()` Returns the values of the map.
`boolean` `increment(K key)` Increments the primitive value mapped to key by 1
`TObjectFloatIterator<K>` `iterator()`
`java.lang.Object[]` `keys()` returns the keys of the map.
`K[]` `keys(K[] a)` returns the keys of the map.
`float` `put(K key, float value)` Inserts a key/value pair into the map.
`void` `putAll(TObjectFloatHashMap<K> map)` Put all the entries from the given map into this map.
`float` `putIfAbsent(K key, float value)` Inserts a key/value pair into the map if the specified key is not already associated with a value.
`void` `readExternal(java.io.ObjectInput in)`
`protected void` `rehash(int newCapacity)` rehashes the map to the new capacity.
`float` `remove(K key)` Deletes a key/value pair from the map.
`protected void` `removeAt(int index)` removes the mapping at `index` from the map.
`boolean` `retainEntries(TObjectFloatProcedure<K> procedure)` Retains only those entries in the map for which the procedure returns a true value.
`protected int` `setUp(int initialCapacity)` initializes the hashtable to a prime capacity which is at least `initialCapacity + 1`.
`java.lang.String` `toString()`
`void` `transformValues(TFloatFunction function)` Transform the values in this map using `function`.
`void` `writeExternal(java.io.ObjectOutput out)`

### Methods inherited from class gnu.trove.TObjectHash

`capacity, computeHashCode, contains, equals, forEach, index, insertionIndex, throwObjectContractViolation`

### Methods inherited from class gnu.trove.THash

`calculateGrownCapacity, compact, ensureCapacity, getAutoCompactionFactor, isEmpty, postInsertHook, reenableAutoCompaction, setAutoCompactionFactor, size, tempDisableAutoCompaction, trimToSize`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _values

    protected transient float[] _values

the values of the map

### Constructor Detail

#### TObjectFloatHashMap

    public TObjectFloatHashMap()

Creates a new `TObjectFloatHashMap` instance with the default capacity and load factor.

#### TObjectFloatHashMap

    public TObjectFloatHashMap(int initialCapacity)

Creates a new `TObjectFloatHashMap` instance with a prime capacity equal to or greater than `initialCapacity` and with the default load factor.

Parameters:
  `initialCapacity` - an `int` value

#### TObjectFloatHashMap

    public TObjectFloatHashMap(int initialCapacity,
                       float loadFactor)

Creates a new `TObjectFloatHashMap` instance with a prime capacity equal to or greater than `initialCapacity` and with the specified load factor.

Parameters:
  `initialCapacity` - an `int` value
  `loadFactor` - a `float` value

#### TObjectFloatHashMap

    public TObjectFloatHashMap(TObjectHashingStrategy<K> strategy)

Creates a new `TObjectFloatHashMap` instance with the default capacity and load factor.

Parameters:
  `strategy` - used to compute hash codes and to compare keys.

#### TObjectFloatHashMap

    public TObjectFloatHashMap(int initialCapacity,
                       TObjectHashingStrategy<K> strategy)

Creates a new `TObjectFloatHashMap` instance whose capacity is the next highest prime above `initialCapacity + 1` unless that value is already prime.

Parameters:
  `initialCapacity` - an `int` value
  `strategy` - used to compute hash codes and to compare keys.

#### TObjectFloatHashMap

    public TObjectFloatHashMap(int initialCapacity,
                       float loadFactor,
                       TObjectHashingStrategy<K> strategy)

Creates a new `TObjectFloatHashMap` instance with a prime value at or near the specified capacity and load factor.

Parameters:
  `initialCapacity` - used to find a prime capacity for the table.
  `loadFactor` - used to calculate the threshold over which rehashing takes place.
  `strategy` - used to compute hash codes and to compare keys.

### Method Detail

#### iterator

    public TObjectFloatIterator<K> iterator()

Returns:
  an iterator over the entries in this map

#### setUp

    protected int setUp(int initialCapacity)

initializes the hashtable to a prime capacity which is at least `initialCapacity + 1`.

Overrides:
  `setUp` in class `TObjectHash<K>`
Parameters:
  `initialCapacity` - an `int` value
Returns:
  the actual capacity chosen

#### put

    public float put(K key,
            float value)

Inserts a key/value pair into the map.

Parameters:
  `key` - an `Object` value
  `value` - an `float` value
Returns:
  the previous value associated with `key`, or (float)0 if none was found.

#### putIfAbsent

    public float putIfAbsent(K key,
                    float value)

Inserts a key/value pair into the map if the specified key is not already associated with a value.

Parameters:
  `key` - an `Object` value
  `value` - an `float` value
Returns:
  the previous value associated with `key`, or (float)0 if none was found.

#### putAll

    public void putAll(TObjectFloatHashMap<K> map)

Put all the entries from the given map into this map.

Parameters:
  `map` - The map from which entries will be obtained to put into this map.

#### rehash

    protected void rehash(int newCapacity)

rehashes the map to the new capacity.

Specified by:
  `rehash` in class `THash`
Parameters:
  `newCapacity` - an `int` value

#### get

    public float get(K key)

retrieves the value for `key`

Parameters:
  `key` - an `Object` value
Returns:
  the value of `key` or (float)0 if no such mapping exists.

#### clear

    public void clear()

Empties the map.

Overrides:
  `clear` in class `THash`

#### remove

    public float remove(K key)

Deletes a key/value pair from the map.

Parameters:
  `key` - an `Object` value
Returns:
  an `float` value or (float)0 if no such mapping exists.

#### equals

    public boolean equals(java.lang.Object other)

Compares this map with another map for equality of their stored entries.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - an `Object` value
Returns:
  a `boolean` value

#### clone

    public TObjectFloatHashMap<K> clone()

Overrides:
  `clone` in class `TObjectHash<K>`
Returns:
  a shallow clone of this collection

#### removeAt

    protected void removeAt(int index)

removes the mapping at `index` from the map.

Overrides:
  `removeAt` in class `TObjectHash<K>`
Parameters:
  `index` - an `int` value

#### getValues

    public float[] getValues()

Returns the values of the map.

Returns:
  a `Collection` value

#### keys

    public java.lang.Object[] keys()

returns the keys of the map.

Returns:
  a `Set` value

#### keys

    public K[] keys(K[] a)

returns the keys of the map.

Parameters:
  `a` - the array into which the elements of the list are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose.
Returns:
  a `Set` value

#### containsValue

    public boolean containsValue(float val)

checks for the presence of `val` in the values of the map.

Parameters:
  `val` - an `float` value
Returns:
  a `boolean` value

#### containsKey

    public boolean containsKey(K key)

checks for the present of `key` in the keys of the map.

Parameters:
  `key` - an `Object` value
Returns:
  a `boolean` value

#### forEachKey

    public boolean forEachKey(TObjectProcedure<K> procedure)

Executes `procedure` for each key in the map.

Parameters:
  `procedure` - a `TObjectProcedure` value
Returns:
  false if the loop over the keys terminated because the procedure returned false for some key.

#### forEachValue

    public boolean forEachValue(TFloatProcedure procedure)

Executes `procedure` for each value in the map.

Parameters:
  `procedure` - a `TFloatProcedure` value
Returns:
  false if the loop over the values terminated because the procedure returned false for some value.

#### forEachEntry

    public boolean forEachEntry(TObjectFloatProcedure<K> procedure)

Executes `procedure` for each key/value entry in the map.

Parameters:
  `procedure` - a `TOObjectFloatProcedure` value
Returns:
  false if the loop over the entries terminated because the procedure returned false for some entry.

#### retainEntries

    public boolean retainEntries(TObjectFloatProcedure<K> procedure)

Retains only those entries in the map for which the procedure returns a true value.

Parameters:
  `procedure` - determines which entries to keep
Returns:
  true if the map was modified.

#### transformValues

    public void transformValues(TFloatFunction function)

Transform the values in this map using `function`.

Parameters:
  `function` - a `TFloatFunction` value

#### increment

    public boolean increment(K key)

Increments the primitive value mapped to key by 1

Parameters:
  `key` - the key of the value to increment
Returns:
  true if a mapping was found and modified.

#### adjustValue

    public boolean adjustValue(K key,
                      float amount)

Adjusts the primitive value mapped to key.

Parameters:
  `key` - the key of the value to increment
  `amount` - the amount to adjust the value by.
Returns:
  true if a mapping was found and modified.

#### adjustOrPutValue

    public float adjustOrPutValue(K key,
                         float adjust_amount,
                         float put_amount)

Adjusts the primitive value mapped to the key if the key is present in the map. Otherwise, the `initial_value` is put in the map.

Parameters:
  `key` - the key of the value to increment
  `adjust_amount` - the amount to adjust the value by
  `put_amount` - the value put into the map if the key is not initial present
Returns:
  the value present in the map after the adjustment or put operation
Since:
  2.0b1

#### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

Specified by:
  `writeExternal` in interface `java.io.Externalizable`
Overrides:
  `writeExternal` in class `TObjectHash<K>`
Throws:
  `java.io.IOException`

#### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

Specified by:
  `readExternal` in interface `java.io.Externalizable`
Overrides:
  `readExternal` in class `TObjectHash<K>`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`